using System.Xml.Serialization;
using NewRock.Sdk.Control.Response;

namespace NewRock.Sdk.Control.Request
{
    [XmlRoot("Control")]
    public class QueryExtGroupRequest: INewRockRequest<QueryExtGroupResponse>
    {
        [XmlAttribute("attribute")]
        public string Attribute { get; set; }

        [XmlElement("group")]
        public QueryExtGroup Group { get; set; }
    }

    public class QueryExtGroupGroup
    {
        [XmlAttribute("id")]
        public string Id { get; set; }
    }
}
